# Class JmolPanel.ActionChangedListener

java.lang.Object
org.openscience.jmol.app.jmolpanel.JmolPanel.ActionChangedListener

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Enclosing class:
  `JmolPanel`

protected static class JmolPanel.ActionChangedListener extends Object implements PropertyChangeListener

## Constructor Summary

Constructors
Constructor
Description
`ActionChangedListener(AbstractButton button)`

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange(PropertyChangeEvent e)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionChangedListener

public ActionChangedListener(AbstractButton button)

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent e)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`